package gui.run;


public abstract class RunRadio extends
        javax.swing.JRadioButton implements java.awt.event.ItemListener, Runnable {

    public RunRadio() {
        addItemListener(this);
    }

    public RunRadio(javax.swing.Icon i) {
        super(i);
        addItemListener(this);
    }

    public RunRadio(String s) {
        this(s, null);
        addItemListener(this);
    }

    public RunRadio(String s, javax.swing.Icon i) {
        super(s, i);
        addItemListener(this);
        ShortcutUtils.addShortcut(this);
    }

    public RunRadio(javax.swing.Icon i, boolean b) {
        super(i, b);
        addItemListener(this);
    }

    public RunRadio(String s, boolean b) {
        super(s, b);
        addItemListener(this);
        ShortcutUtils.addShortcut(this);
    }

    public RunRadio(String s, javax.swing.Icon i, boolean b) {
        super(s, i, b);
        addItemListener(this);
        ShortcutUtils.addShortcut(this);
    }


    public void itemStateChanged(java.awt.event.ItemEvent e) {
        run();
    }

    public static void main(String args[]) {
        gui.ClosableJFrame cf = new gui.ClosableJFrame("RunRadio");
        java.awt.Container c = cf.getContentPane();

        c.add(new RunRadio("[black keys") {
            public void run() {
                System.out.println(isSelected() + "set up black keys");
            }
        }
        );

        c.add(new RunRadio("[a harmonic minor keys") {
            public void run() {
                System.out.println(isSelected() + "set up a harmonic minor keys");
            }
        }
        );
        c.setLayout(new java.awt.GridLayout(1, 0));
        cf.setSize(200, 200);
        cf.setVisible(true);
    }


}